# InquiryPriceInstanceTrafficPackage

## 1. 接口描述

本接口(InquiryPriceInstanceTrafficPackage)用于实例修改流量包询价。

{% hint style="info" %}
**注意事项**

* 仅当机器的[`internetChargeType`](/api-reference/cn/compute/bmc/datastructure.md#internetchargetype)为`ByTrafficPackage时可用`
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称               | 必选 | 类型     | 描述                                                              |
| ------------------ | -- | ------ | --------------------------------------------------------------- |
| instanceId         | 是  | String | <p>待操作的实例ID。</p><p>可通过DescribeInstances接口返回值中的instanceId获取。</p> |
| trafficPackageSize | 是  | Float  | <p>流量包大小。</p><p>必须是0.05的倍数。</p><p>可选值范围：\[0.0, +)</p>           |

## 3. 响应结果

| 参数名称                | 类型                                                                             | 描述                                                       |
| ------------------- | ------------------------------------------------------------------------------ | -------------------------------------------------------- |
| requestId           | String                                                                         | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| trafficPackagePrice | Array of [PriceItem](/api-reference/cn/compute/bmc/datastructure.md#priceitem) | <p>流量包价格。</p><p>可能有多个价格，比如流量包计费，包含包的价格和用量超出包后的价格。</p>    |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 实例修改流量包询价**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceInstanceTrafficPackage
Request：
{
  "instanceId": "instanceId",
  "trafficPackageSize": 100
}
Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": { 
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "trafficPackagePrice": [
      {
        "discount": 95.0,
        "discountPrice": 7524.0,
        "originalPrice": 7920.0,
        "unitPrice": null,
        "discountUnitPrice": null,
        "chargeUnit": null,
        "stepPrices": null
      },
      {
        "discount": 100.0,
        "discountPrice": null,
        "originalPrice": null,
        "unitPrice": null,
        "discountUnitPrice": null,
        "chargeUnit": null,
        "stepPrices": [
          {
            "stepStart": 0.0,
            "stepEnd": null,
            "unitPrice": 0.08,
            "discountUnitPrice": 0.08
          }
        ]
      }
    ]
  }
} 
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                                     | 说明                                                                                             |
| ------- | ------------------------------------------------------- | ---------------------------------------------------------------------------------------------- |
| 400     | INVALID\_PARAMETER\_TRAFFIC\_PACKAGE\_ERROR             | 实例流量包参数校验错误。设定的流量包大小值不合法，必须是0.05的倍数。                                                           |
| 403     | OPERATION\_DENIED\_INTERNET\_CHARGE\_TYPE\_NOT\_SUPPORT | 指定的[实例网络模型](/api-reference/cn/compute/bmc/datastructure.md#internetchargetype)不是`ByBandwidth。` |
| 404     | INVALID\_INSTANCE\_NOT\_FOUND                           | 实例不存在。                                                                                         |
| 400     | INVALID\_PARAMETER\_TRAFFIC\_PACKAGE\_EXCEED            | 流量包参数超过最大值。                                                                                    |
| 400     | INVALID\_INSTANCE\_TYPE\_ZONE\_NO\_SELL                 | 指定的实例的带宽暂不支持售卖。                                                                                |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/bmc/bare-metal-instance/inquirypriceinstancetrafficpackage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
